stages:
  - build
  - test

include:
  - template: Code-Quality.gitlab-ci.yml
  - template: Jobs/Test.gitlab-ci.yml

assembleDebug:
  image: registry.gitlab.com/imope-inc/docker-images/imope-ionic
  stage: build
  script:
    - npm install
    - ionic build
    - ionic capacitor sync
    - echo $KEYSTORE_FILE | base64 -d > ~/.android/debug.keystore
    - cd android/ && ./gradlew assembleDebug
  artifacts:
    expose_as: APK - debug
    paths:
      - android/app/build/outputs/apk/debug/app-debug.apk
  only:
    - branches
    - tags
  except:
    variables:
      - $ASSEMBLE_DEBUG_DISABLED

test:
  image: registry.gitlab.com/imope-inc/docker-images/imope-test-alpine
  script:
    - npm install
    - npm run ci-test
  artifacts:
    when: always
    reports:
      junit: junit.xml
    paths:
      - coverage/
  cache:
    paths:
      - node_modules/
